<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Register</title>
    <link href="../static/styles.css" rel="stylesheet" th:href="@{/styles.css}"/>
</head>
<body>
<!-- Navigation-->
<nav th:replace="/fragments/navbar-form.html :: navbar"></nav>
<br/><br/><br/><br/>
<!--Logic-->
<div>
    <div class="container">
        <div class="row">
            <div class="col-lg-10 col-xl-9 mx-auto">
                <div class="card flex-row my-5 border-0 shadow rounded-3 overflow-hidden">
                    <div class="card-body p-4 p-sm-5">
                        <h5 class="card-title text-center mb-5 fw-light fs-5">Register</h5>
                        <form th:action="@{/auth/register}" th:object="${register}" enctype="multipart/form-data"
                              method="post">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control"
                                       th:field="*{firstName}"
                                       id="floatingInputFirstName" placeholder="First Name"
                                       required autofocus>
                                <label for="floatingInputUsername">First Name</label>
                            </div>
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control"
                                       th:field="*{lastName}"
                                       id="floatingInputLastName" placeholder="Last Name"
                                       required autofocus>
                                <label for="floatingInputUsername">Last Name</label>
                            </div>
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control"
                                       th:field="*{username}"
                                       id="floatingInputUsername" placeholder="myusername"
                                       required autofocus>
                                <label for="floatingInputUsername">Username</label>
                            </div>
                            <div class="form-floating mb-3">
                                <input type="email" class="form-control"
                                       th:field="*{email}"
                                       id="floatingInputEmail" placeholder="name@example.com">
                                <label for="floatingInputEmail">Email address</label>
                            </div>
                            <div class="form-floating mb-3">
                                <input type="password" class="form-control"
                                       th:field="*{password}"
                                       id="floatingPassword" placeholder="Password">
                                <label for="floatingPassword">Password</label>
                            </div>
                            <div class="form-floating mb-3">
                                <input type="password" class="form-control"
                                       th:field="*{passwordConfirm}"
                                       id="floatingPasswordConfirm" placeholder="Confirm Password">
                                <label for="floatingPasswordConfirm">Confirm Password</label>
                            </div>
                            <label class="error" style="color: #ff2c00" th:errors="*{firstName}">Username error
                                placeholder</label>
                            <br/>
                            <label class="error" style="color: #ff2c00" th:errors="*{lastName}">Username error
                                placeholder</label>
                            <br/>
                            <label class="error" style="color: #ff2c00" th:errors="*{username}">Username error
                                placeholder</label>
                            <br/>
                            <label class="error" style="color: #ff2c00" th:errors="*{email}">Username error
                                placeholder</label>
                            <br/>
                            <label class="error" style="color: #ff2c00" th:errors="*{password}">Username error
                                placeholder</label>
                            <br/>
                            <label class="error" style="color: #ff2c00" th:errors="*{passwordConfirm}">Username
                                error placeholder</label>
                            <br/>
                            <div class="d-grid mb-2">
                                <button class="btn btn-lg btn-secondary btn-login fw-bold text-uppercase" type="submit">
                                    Register
                                </button>
                            </div>
                            <hr class="my-4">
                            <div class="form-check mb-3">
                                <a class="form-check-label"
                                   style="color: #1a1e21"
                                   for="rememberPasswordCheck"
                                   th:text="'Have an account? Sign In'"
                                   th:href="@{/auth/login}">Register</a>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script src="../js/scripts.js" th:src="@{/scripts.js}"></script>
    <script src="../static/scripts.js" th:src="@{/static/scripts.js}"></script>
</div>
</body>
</html>